<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'stair_step',

    /*
     * Modules.
     */
    'modules'   => ['stair_steps'],

    
    'stair_steps'       => [
        'model' => [
            'model'                 => \Litecms\StairStep\Models\StairSteps::class,
            'table'                 => 'stair_steps',
            'presenter'             => \Litecms\StairStep\Repositories\Presenter\StairStepsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['rank',  'sponsors_number',  'group_investment'],
            'translatables'         => [],
            'upload_folder'         => 'stair_step/stair_steps',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'StairStep',
            'module'    => 'StairSteps',
        ],

    ],
];
